import { BoundedRegionOptions, RepeatingRegionOptions, TableRegion, BoundedRegion, RepeatingRegion } from '../../logic';
import { Wtbl } from '../Wtbl';
/**
 * 表格区域管理功能类
 * 提供设置重复区域和有界区域的功能
 */
export declare class WtblRegionManager {
    /**
     * 根据 region id 查找对应的 region
     */
    static findRegionById(table: Wtbl, regionId: string): TableRegion | undefined;
    /**
     * 根据 region id 删除对应的 region
     */
    static deleteRegionById(table: Wtbl, regionId: string): void;
    /**
     * 设置重复区域
     */
    static setRepeating(table: Wtbl, options: Omit<RepeatingRegionOptions, 'table'>): RepeatingRegion;
    /**
     * 设置有界区域
     */
    static setBounded(table: Wtbl, options: Omit<BoundedRegionOptions, 'table'>): BoundedRegion;
}
